## wlopm 0.1.0

=== Makefile ===
SCANNER := wayland-scanner

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

CFLAGS+=-Wall -Werror -Wextra -Wpedantic -Wno-unused-parameter -Wconversion -Wformat-security -Wformat -Wsign-conversion -Wfloat-conversion -Wunused-result
LIBS=-lwayland-client
OBJ=wlopm.o wlr-output-power-management-unstable-v1.o
GEN=wlr-output-power-management-unstable-v1.c wlr-output-power-management-unstable-v1.h

wlopm: $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

$(OBJ): $(GEN)

%.c: %.xml
	$(SCANNER) private-code < $< > $@

%.h: %.xml
	$(SCANNER) client-header < $< > $@

install: wlopm
	install -D wlopm   $(DESTDIR)$(BINDIR)/wlopm
	install -D wlopm.1 $(DESTDIR)$(MANDIR)/man1/wlopm.1

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/wlopm
	$(RM) $(DESTDIR)$(MANDIR)/man1/wlopm.1

clean:
	$(RM) wlopm $(GEN) $(OBJ)

.PHONY: clean install

=== debian/changelog ===
wlopm (0.1.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1051039)

 -- Birger Schacht <birger@debian.org>  Sat, 02 Sep 2023 16:15:40 +0200

=== debian/control ===
Source: wlopm
Section: utils
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               wayland-protocols,
	       libwayland-bin,
	       libwayland-dev,
Standards-Version: 4.6.2
Homepage: https://git.sr.ht/~leon_plickat/wlopm
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/wlopm.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlopm

Package: wlopm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wayland output power management
 wlopm is a simple client implementing zwlr-output-power-management-v1, which
 allows clients to control power management modes of outputs that are currently
 part of the compositor space. This allows wlopm to power down outputs when the
 system is idle.

## wlopm 1.0.0

=== Makefile ===
SCANNER := wayland-scanner

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
BASHCOMPDIR=$(PREFIX)/share/bash-completion/completions

CFLAGS+=-Wall -Werror -Wextra -Wpedantic -Wno-unused-parameter -Wconversion -Wformat-security -Wformat -Wsign-conversion -Wfloat-conversion -Wunused-result -Wno-strict-prototypes
LIBS=-lwayland-client
OBJ=wlopm.o wlr-output-power-management-unstable-v1.o
GEN=wlr-output-power-management-unstable-v1.c wlr-output-power-management-unstable-v1.h

wlopm: $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LIBS)

$(OBJ): $(GEN)

%.c: %.xml
	$(SCANNER) private-code < $< > $@

%.h: %.xml
	$(SCANNER) client-header < $< > $@

install: wlopm
	install -d $(DESTDIR)$(BINDIR)
	install wlopm $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 wlopm.1 $(DESTDIR)$(MANDIR)/man1
	install bash-completion $(DESTDIR)$(BASHCOMPDIR)/wlopm

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/wlopm
	$(RM) $(DESTDIR)$(MANDIR)/man1/wlopm.1
	$(RM) $(DESTDIR)$(BASHCOMPDIR)/wlopm

clean:
	$(RM) wlopm $(GEN) $(OBJ)

.PHONY: clean install

=== debian/changelog ===
wlopm (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-makefile-set-prefix.patch
  * Add overrides in debian/rules to set PREFIX
  * Backport 0002-bash-completion-dir.patch
  * Replace build-depends pkg-config with pkgconf
  * Run wrap-and-sort
  * Bump standards-version to 4.7.2 (no changes required)

 -- Birger Schacht <birger@debian.org>  Mon, 25 Aug 2025 16:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
-               wayland-protocols,
-	       libwayland-bin,
-	       libwayland-dev,
-Standards-Version: 4.6.2
+               libwayland-bin,
+               libwayland-dev,
+               pkgconf,
+               wayland-protocols
+Standards-Version: 4.7.2
 Homepage: https://git.sr.ht/~leon_plickat/wlopm
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlopm.git

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~leon_plickat/wlopm refs/tags/v?(\d\S+)
